"""empty message

Revision ID: ba9ee650e409
Revises: 4662f5c80a34
Create Date: 2021-03-04 14:18:28.094081

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'ba9ee650e409'
down_revision = '4662f5c80a34'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('attendancephoto',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('uri', sa.Text(), nullable=True),
    sa.Column('slot_id', sa.String(length=50), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('ticketstatus',
    sa.Column('status_code', sa.Integer(), nullable=False),
    sa.Column('status_def', sa.String(length=50), nullable=True),
    sa.PrimaryKeyConstraint('status_code')
    )
    op.create_table('fac_ticket_assoc',
    sa.Column('ticket_id', sa.Integer(), nullable=False),
    sa.Column('faculty_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['faculty_id'], ['faculty.id'], ),
    sa.ForeignKeyConstraint(['ticket_id'], ['ticket.id'], )
    )
    op.create_table('student_ticket_assoc',
    sa.Column('ticket_id', sa.Integer(), nullable=False),
    sa.Column('student_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['student_id'], ['student.id'], ),
    sa.ForeignKeyConstraint(['ticket_id'], ['ticket.id'], )
    )
    op.drop_table('attendance_photo')
    op.add_column('ticket', sa.Column('created_at', sa.DateTime(), nullable=False))
    op.add_column('ticket', sa.Column('status_code', sa.Integer(), nullable=True))
    op.add_column('ticket', sa.Column('updated_at', sa.DateTime(), nullable=True))
    op.drop_constraint('ticket_ibfk_2', 'ticket', type_='foreignkey')
    op.create_foreign_key(None, 'ticket', 'ticketstatus', ['status_code'], ['status_code'])
    op.drop_column('ticket', 'pending')
    op.drop_column('ticket', 'instructor_id')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('ticket', sa.Column('instructor_id', mysql.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('ticket', sa.Column('pending', mysql.TINYINT(display_width=1), autoincrement=False, nullable=True))
    op.drop_constraint(None, 'ticket', type_='foreignkey')
    op.create_foreign_key('ticket_ibfk_2', 'ticket', 'faculty', ['instructor_id'], ['id'])
    op.drop_column('ticket', 'updated_at')
    op.drop_column('ticket', 'status_code')
    op.drop_column('ticket', 'created_at')
    op.create_table('attendance_photo',
    sa.Column('id', mysql.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('uri', mysql.TEXT(), nullable=True),
    sa.Column('slot_id', mysql.VARCHAR(length=50), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    mysql_collate='utf8mb4_0900_ai_ci',
    mysql_default_charset='utf8mb4',
    mysql_engine='InnoDB'
    )
    op.drop_table('student_ticket_assoc')
    op.drop_table('fac_ticket_assoc')
    op.drop_table('ticketstatus')
    op.drop_table('attendancephoto')
    # ### end Alembic commands ###
